Product Range

Xena1564

Xena1564 is a Windows-based desktop application designed for analysing synchronous Ethernet and performing service validation using the ITU-T Y.1564 methodology…..

Xena3918

Xena3918 is a Windows-based desktop application designed for advanced IP multicast network testing using one or more Xena test chassis in accordance with RFC 3918…..

Xena2889

Xena2889 is a Windows-based desktop application designed for accurate benchmarking of Layer 2 LAN switches in compliance with RFC 2889 standards. It is included free…..

Xena2544

Xena2544 is a Windows-based test application designed to create, configure, and execute Ethernet performance tests in line with RFC 2544 standards. It enables…..

Xena OpenAutomation (XOA)

Xena OpenAutomation (XOA) is an open-source automation framework designed to control and manage all Xena Ethernet test solutions. It provides a fast, flexible, and…..

XenaManager

XenaManager is a Windows desktop application that provides centralised control of Xena Ethernet test solutions. It is used to configure, generate, and analyse Ethern…..

XenaCompact

The XenaCompact is a robust, lightweight 1U 19” single-slot test chassis designed for easy transport and full-feature performance. It supports Xena’s full range of…..

Xena B720 / B2400

The Xena B720 and B2400 are 4U modular chassis systems designed to support up to 12 Xena Ethernet test modules, enabling scalable high-port-density testing for…..

E100 Chimera – Ethernet Network Impairment Emulator

E100 Chimera is a high-performance Ethernet impairment emulator designed to replicate real-world network conditions at speeds up to 100Gbps. It enables engineers to…..

Xena Z1608 Edun – 1.6Tbps Terabit Ethernet Traffic Generator

Z1608 Edun is a high-performance Ethernet traffic generator designed for Terabit-era networking, enabling testing up to 1.6Tbps using advanced 224G and 112G…..

Xena Z800 Freya Ethernet Traffic Generator

Z800 Freya is Xena Networks’ high-end Ethernet traffic generator designed for validating next-generation networks from 10G up to 800G. It supports both NRZ and PAM4…..

Xena Z400qx Thor Ethernet Traffic Generator

Z400 Thor is part of Xena Networks’ advanced Ethernet Traffic Generation platform, designed for high-performance testing of both NRZ and PAM4-based Ethernet networks…..

Advanced Test, Measurement & Network Assurance Solutions

Helping organisations design, deploy, validate and maintain reliable communications networks with industry-leading technology and local engineering expertise.